import { AfterContentInit, AfterViewInit, ElementRef, EventEmitter, OnChanges, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import { SelectableSettings, SelectableMode, CellClickEvent, GridComponent, GridDataResult, PageChangeEvent } from '@progress/kendo-angular-grid';
import { SortDescriptor } from '@progress/kendo-data-query';
import { SVGIcon } from '@progress/kendo-svg-icons';
import * as i0 from "@angular/core";
export declare class GridPaginationComponent implements OnInit, AfterContentInit, OnChanges, AfterViewInit {
    templateRef: TemplateRef<any> | null;
    detailTemplate: TemplateRef<any> | null;
    impactColumn: TemplateRef<any> | null;
    grid: GridComponent;
    gridElement: ElementRef;
    gridView: GridDataResult;
    skip: number;
    columnData: any;
    pageSize: number;
    pageable: boolean;
    sortable: boolean;
    groupable: boolean;
    reorderable: boolean;
    resizable: boolean;
    checkBoxWidth: number;
    checkBoxColumnResizable: boolean;
    checkBoxColumnMenu: boolean;
    checkBoxColumnShowSelectedAll: boolean;
    checkBoxRequired: boolean;
    columnMenu: boolean;
    mode: SelectableMode | undefined;
    checkboxOnly: boolean;
    dragColumns: boolean;
    navigable: boolean;
    height: any;
    gridRowSelectByValue: string;
    noRecordsContent: string;
    selectedRowData: EventEmitter<any[]>;
    showToolbar: boolean;
    extractDataItems: any;
    selectableSettings: SelectableSettings;
    kebabList: any;
    showKebab: boolean;
    rowDetails: EventEmitter<any[]>;
    kebabItemClick: EventEmitter<any>;
    icon: SVGIcon;
    kebabColumnWidth: number;
    data: any;
    selectColumn: string;
    rowDataOfClickedCell: EventEmitter<any>;
    preSelected: any[];
    preSelectedRecords: any[];
    onPageChange: EventEmitter<any>;
    ignoreColumnCellClick: number[];
    allowColumnClick: boolean;
    sort: SortDescriptor[];
    hasApiSorting: boolean;
    sortDirection: EventEmitter<any>;
    arrowDownIcon: SVGIcon;
    arrowUpIcon: SVGIcon;
    expandRowIndex: number[];
    customExpandRowColumn: boolean;
    deleteIcon: SVGIcon;
    deleteColumnWidth: number;
    expandRowColumnWidth: number;
    deletedRowData: EventEmitter<any>;
    sizes: any[];
    pageCount: number;
    showDeleteColumn: boolean;
    hideKebabRowIndex: number[];
    initialGridHeight: any;
    gridBottomSpace: number;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
    pageChange(event: PageChangeEvent): void;
    setSelectableSettings(): void;
    onSelectionChange(args: any): any;
    onKebabClick(item: any, rowDetails: any): void;
    onDetailExpand(rowData: any): void;
    cellClickHandler(args: CellClickEvent): void;
    sortChange(sort: SortDescriptor[]): void;
    loadGridData(): void;
    expandRow(id: number): void;
    collapseRow(id: number): void;
    onDelete(rowDetails: any): void;
    getHeaderHeight(): "hide-header" | "view-header";
    getGridHeight(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GridPaginationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GridPaginationComponent, "lib-grid-pagination", never, { "gridView": { "alias": "gridView"; "required": false; }; "skip": { "alias": "skip"; "required": false; }; "columnData": { "alias": "columnData"; "required": false; }; "pageSize": { "alias": "pageSize"; "required": false; }; "pageable": { "alias": "pageable"; "required": false; }; "sortable": { "alias": "sortable"; "required": false; }; "groupable": { "alias": "groupable"; "required": false; }; "reorderable": { "alias": "reorderable"; "required": false; }; "resizable": { "alias": "resizable"; "required": false; }; "checkBoxWidth": { "alias": "checkBoxWidth"; "required": false; }; "checkBoxColumnResizable": { "alias": "checkBoxColumnResizable"; "required": false; }; "checkBoxColumnMenu": { "alias": "checkBoxColumnMenu"; "required": false; }; "checkBoxColumnShowSelectedAll": { "alias": "checkBoxColumnShowSelectedAll"; "required": false; }; "checkBoxRequired": { "alias": "checkBoxRequired"; "required": false; }; "columnMenu": { "alias": "columnMenu"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "checkboxOnly": { "alias": "checkboxOnly"; "required": false; }; "dragColumns": { "alias": "dragColumns"; "required": false; }; "navigable": { "alias": "navigable"; "required": false; }; "gridRowSelectByValue": { "alias": "gridRowSelectByValue"; "required": false; }; "noRecordsContent": { "alias": "noRecordsContent"; "required": false; }; "showToolbar": { "alias": "showToolbar"; "required": false; }; "kebabList": { "alias": "kebabList"; "required": false; }; "showKebab": { "alias": "showKebab"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "kebabColumnWidth": { "alias": "kebabColumnWidth"; "required": false; }; "selectColumn": { "alias": "selectColumn"; "required": false; }; "preSelected": { "alias": "preSelected"; "required": false; }; "ignoreColumnCellClick": { "alias": "ignoreColumnCellClick"; "required": false; }; "allowColumnClick": { "alias": "allowColumnClick"; "required": false; }; "sort": { "alias": "sort"; "required": false; }; "hasApiSorting": { "alias": "hasApiSorting"; "required": false; }; "expandRowIndex": { "alias": "expandRowIndex"; "required": false; }; "customExpandRowColumn": { "alias": "customExpandRowColumn"; "required": false; }; "deleteColumnWidth": { "alias": "deleteColumnWidth"; "required": false; }; "expandRowColumnWidth": { "alias": "expandRowColumnWidth"; "required": false; }; "sizes": { "alias": "sizes"; "required": false; }; "pageCount": { "alias": "pageCount"; "required": false; }; "showDeleteColumn": { "alias": "showDeleteColumn"; "required": false; }; "hideKebabRowIndex": { "alias": "hideKebabRowIndex"; "required": false; }; }, { "selectedRowData": "selectedRowData"; "rowDetails": "rowDetails"; "kebabItemClick": "kebabItemClick"; "rowDataOfClickedCell": "rowDataOfClickedCell"; "onPageChange": "onPageChange"; "sortDirection": "sortDirection"; "deletedRowData": "deletedRowData"; }, ["templateRef", "detailTemplate", "impactColumn"], ["*"], false, never>;
}
